Subject: Re: [PATCH 00/11] Wire up CRC-T10DIF library functions to arch-optimized code

From: Eric Biggers <[email-masked]>
Date: Tue, 19 Nov 2024 17:53:25 +0000

Hi Zhihang,

On Tue, Nov 19, 2024 at 06:05:58PM +0800, Zhihang Shao wrote:
> 
> I still want to submit an optimization patchabout CRC-T10DIFfor RISC-V.
> 
> I don't know if it would be more appropriate for me to rewrite a patch after
> your patch is officially applied.
> 
> What do you think?

Please go ahead and rebase your patch on top of this patchset, i.e. on top of
the git branch I gave at the beginning of the cover letter.  You'll need to move
your code into arch/riscv/lib/ and drop the shash stuff.  You can test it using
the new KUnit test I added (CONFIG_CRC_KUNIT_TEST=y).

After that I'll be glad to apply your patch when I apply this patchset for 6.14.

Thanks!

- Eric